Bug 1790108 - Review Request: python-rtmidi - Python binding for the RtMidi C++ library
Summary: Review Request: python-rtmidi - Python binding for the RtMidi C++ library
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-01-11 21:33 UTC by Fabian Affolter
Modified: 2020-02-06 00:16 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-01-31 01:13:12 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Fabian Affolter 2020-01-11 21:33:07 UTC
Spec URL: https://fab.fedorapeople.org/packages/SRPMS/python-rtmidi.spec
SRPM URL: https://fab.fedorapeople.org/packages/SRPMS/python-rtmidi-1.3.1-1.fc31.src.rpm

Project URL: https://chrisarndt.de/projects/python-rtmidi/

Description:
python-rtmidi is a Python binding for RtMidi implemented using Cython and
provides a thin wrapper around the RtMidi C++ interface. The API is basically
the same as the C++ one but with the naming scheme of classes, methods and
parameters adapted to the Python PEP-8 conventions and requirements of the
Python package naming structure.

Koji scratch build:
https://koji.fedoraproject.org/koji/taskinfo?taskID=40418832

rpmlint output:
$ rpmlint python-rtmidi-1.3.1-1.fc31.src.rpm 
python-rtmidi.src:64: W: macro-in-comment %check
python-rtmidi.src:65: W: macro-in-comment %{__python3}
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

$ rpmlint python3-rtmidi*
2 packages and 0 specfiles checked; 0 errors, 0 warnings.

Fedora Account System Username: fab

Comment 1 Robert-André Mauchin 🐧 2020-01-21 18:00:36 UTC
 - Latest version is 1.4.0

 - License ok
 - Builds in mock
 - No rpmlint errors
 - Conforms to Packaging Guidelines

Package approved.

Comment 2 Gwyn Ciesla 2020-01-21 22:09:44 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-rtmidi

Comment 3 Fedora Update System 2020-01-21 22:33:20 UTC
FEDORA-2020-aebe27ba90 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-aebe27ba90

Comment 4 Fedora Update System 2020-01-21 23:01:16 UTC
FEDORA-EPEL-2020-09a90bd737 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-09a90bd737

Comment 5 Fedora Update System 2020-01-22 01:27:57 UTC
python-rtmidi-1.3.1-1.el8 has been pushed to the Fedora EPEL 8 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-09a90bd737

Comment 6 Fedora Update System 2020-01-22 01:56:40 UTC
python-rtmidi-1.3.1-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-40a1ab7c17

Comment 7 Fedora Update System 2020-01-24 05:49:47 UTC
python-rtmidi-1.3.1-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-aebe27ba90

Comment 8 Fedora Update System 2020-01-31 01:13:12 UTC
python-rtmidi-1.3.1-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2020-02-01 01:30:34 UTC
python-rtmidi-1.3.1-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2020-02-06 00:16:41 UTC
python-rtmidi-1.3.1-1.el8 has been pushed to the Fedora EPEL 8 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.